## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.7

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# XStringAllocator Class Reference

`#include <XStringAllocator.hpp>`

Collaboration diagram for XStringAllocator:

List of all members.

## Public Types

- typedef XString string_type
- typedef ReusableArenaAllocator<
  string_type> ArenaAllocatorType
- typedef ArenaAllocatorType::size_type size_type

## Public Methods

- XStringAllocator (size_type theBlockCount)
    Construct an instance that will allocate blocks of the specified size. More...
- ~XStringAllocator ()
- string_type* createString (const XalanDOMString& theString)
    Create an XString object from a string. More...
- string_type* createString (const XalanDOMChar* theString)
    Create an XString object from a null-terminated array of characters. More...
- string_type* createString ( const XalanDOMChar* theString, unsigned int theLength)
    Create an XString object from an array of characters. More...
- string_type* clone (const XString& value)
    Clone an XString object. More...
- bool destroy (string_type* theString)
    Delete an XString object from allocator.
- bool ownsObject (const string_type* theObject)
    Determine if an object is owned by the allocator...
- void reset ()
    Delete all XString objects from allocator.
- size_type getBlockCount () const
    Get size of an ArenaBlock, that is, the number of objects in each block. More...
- size_type getBlockSize () const
    Get the number of ArenaBlocks currently allocated. More...

## Member Typedef Documentation

typedef ReusableArenaAllocator<string_type> XStringAllocator::ArenaAllocatorType

typedef ArenaAllocatorType::size_type XStringAllocator::size_type

typedef XString XStringAllocator::string_type

## Constructor & Destructor Documentation

XStringAllocator::XStringAllocator ( | size_type theBlockCount )

Construct an instance that will allocate blocks of the specified size.

Parameters:

  theBlockSize | The block size.

XStringAllocator::~XStringAllocator ( | )

## Member Function Documentation

string_type * XStringAllocator::clone ( | const XString & value )

Clone an XString object.

Parameters:

  value | source XString

Returns:
  pointer to an XString

string_type * XStringAllocator::createString ( | const XalanDOMChar * theString,
| unsigned int theLength )

Create an XString object from an array of characters.

Parameters:

  theString | a pointer to the array
  theLength | the length of the array.

Returns:
  a pointer to string

string_type * XStringAllocator::createString ( | const XalanDOMChar * theString )

Create an XString object from a null-terminated array of characters.

Parameters:

  theString | a pointer to the array

Returns:
  a pointer to string

string_type * XStringAllocator::createString ( | const XalanDOMString & theString )

Create an XString object from a string.

Parameters:

  theString | source string

Returns:
  a pointer to string

bool XStringAllocator::destroy ( | string_type * theString )

Delete an XString object from allocator.

size_type XStringAllocator::getBlockCount ( | ) const`[]`

Get size of an ArenaBlock, that is, the number of objects in each block.

Returns:
  The size of the block

size_type XStringAllocator::getBlockSize ( | ) const`[]`

Get the number of ArenaBlocks currently allocated.

Returns:
  The number of blocks.

bool XStringAllocator::ownsObject ( | const string_type * theObject )`[]`

Determine if an object is owned by the allocator...

void XStringAllocator::reset ( | )

Delete all XString objects from allocator.

The documentation for this class was generated from the following file:

- XStringAllocator.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.7 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.